[arch-commits] Commit in libstdc++5/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 00:10:12 EDT 2009


    Date: Tuesday, April 14, 2009 @ 00:10:12
  Author: eric
Revision: 35574

Merged revisions 356,15567,35573 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libstdc++5/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r15567 | ronald | 2008-10-15 10:25:27 -0400 (Wed, 15 Oct 2008) | 1 line
  
  fix license
........
  r35573 | eric | 2009-04-14 00:09:55 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libstdc++5 3.3.6-3
      Added license
........

Modified:
  libstdc++5/repos/extra-x86_64/	(properties)
  libstdc++5/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)


Property changes on: libstdc++5/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libstdc++5/trunk:1
   + /libstdc++5/trunk:1-35573

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-14 04:09:55 UTC (rev 35573)
+++ extra-x86_64/PKGBUILD	2009-04-14 04:10:12 UTC (rev 35574)
@@ -3,22 +3,22 @@
 
 pkgname=libstdc++5
 pkgver=3.3.6
-pkgrel=2
+pkgrel=3
 pkgdesc="GNU Standard C++ library version 3"
 arch=(i686 x86_64)
 url="http://gcc.gnu.org"
+license=('GPL' 'LGPL')
 depends=('gcc-libs')
 makedepends=('binutils' 'gcc')
-options=(!libtool)
+options=('!libtool' '!makeflags')
 source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++}-${pkgver}.tar.bz2 gcc-3.4.3-no_multilib_amd64.patch)
 md5sums=(18c52e6fb8966b7700665dca289d077f 6b3d00b8d079805be1b895f7f6ce47a0 \
          088e0807e677010cafe4e590e8711be1)
 
 build(){
-  export MAKEFLAGS="-j1"
   export CFLAGS=$(echo $CFLAGS | sed 's|-mtune=generic||')
   export CXXFLAGS=$(echo $CXXFLAGS | sed 's|-mtune=generic||')
-  cd ${startdir}/src/gcc-${pkgver}
+  cd ${srcdir}/gcc-${pkgver}
 
   if [ "$CARCH" = "x86_64" ]; then
     patch -Np0 -i ../gcc-3.4.3-no_multilib_amd64.patch || return 1
@@ -32,10 +32,10 @@
       --enable-languages=c++ --enable-threads=posix --enable-__cxa_atexit \
       --disable-multilib --libdir=/usr/lib
   make all-target-libstdc++-v3 BOOT_CFLAGS="${CFLAGS}" STAGE1_CFLAGS="-O" || return 1
-  make DESTDIR=${startdir}/pkg install-target-libstdc++-v3 || return 1
+  make DESTDIR=${pkgdir} install-target-libstdc++-v3 || return 1
 
   # Remove includefiles and libs provided by gcc
-  rm -rf ${startdir}/pkg/usr/{include,share/locale}
-  rm -f ${startdir}/pkg/usr/lib/*.a
-  rm -f ${startdir}/pkg/usr/lib/libstdc++.so
+  rm -rf ${pkgdir}/usr/{include,share/locale}
+  rm -f ${pkgdir}/usr/lib/*.a
+  rm -f ${pkgdir}/usr/lib/libstdc++.so
 }



More information about the arch-commits mailing list